Bug 1304628 - (CVE-2016-2271, xsa170) CVE-2016-2271 xsa170 xen: guest user mode may crash guest with non-canonical RIP (XSA-170)
CVE-2016-2271 xsa170 xen: guest user mode may crash guest with non-canonical ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160217,reported=2...
: Security
Depends On: 1309323
Blocks: 1304631
  Show dependency treegraph
 
Reported: 2016-02-04 03:51 EST by Martin Prpič
Modified: 2016-03-06 18:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-02-04 03:51:45 EST
ISSUE DESCRIPTION
=================

VMX refuses attempts to enter a guest with an instruction pointer which doesn't satisfy certain requirements. In particular, the instruction pointer needs to be canonical when entering a guest currently in 64-bit mode. This is the case even if the VM entry information specifies an exception to be injected immediately (in which case the bad instruction pointer would possibly never get used for other than pushing onto the exception handler's stack). Provided the guest OS allows user mode to map the virtual memory space immediately below the canonical/non- canonical address boundary, a non-canonical instruction pointer can result even from normal user mode execution. VM entry failure, however, is fatal to the guest.

IMPACT
======

Malicious HVM guest user mode code may be able to crash the guest.

VULNERABLE SYSTEMS
==================

Only systems using Intel or Cyrix CPUs are affected. ARM and AMD systems are unaffected. Only HVM guests are affected.

MITIGATION
==========

Running only PV guests will avoid this vulnerability. Running HVM guests on only AMD hardware will also avoid this
vulnerability.


External References:

http://xenbits.xen.org/xsa/advisory-170.html

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Andrej Nemec 2016-02-17 08:23:02 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1309323]
Comment 2 Andrej Nemec 2016-02-17 08:23:17 EST
Public via:

http://seclists.org/oss-sec/2016/q1/357
Comment 3 Fedora Update System 2016-02-26 14:23:34 EST
xen-4.5.2-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-03-06 18:18:36 EST
xen-4.5.2-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.